<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_infoterpadu_kalender_pendidikan_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_kalender_pendidikan_create' %}"
    {% endif %}>
   
    {% csrf_token %}
    <input type="hidden" id="if_edit" alt="{{edit}}">
 
    <div class="form-group">
        <label for="judul">Judul Kalender Pendidikan</label>
        <input type="text" placeholder="Masukkan Judul Kalender Pendidikan" class="form-control"
            name="{{ form.title.name }}" id="title" value="{{kalender.title}}" required>
        <input type="hidden" name="{{ form.typexs.name }}" value="kalender_pendidikan">
        <input type="hidden" name="{{ form.start_event_date.name }}" value="{% now 'Y-m-d' %}">
        <input type="hidden" name="{{ form.end_event_date.name }}" value="{% now 'Y-m-d' %}">
    </div>
    <div class="form-group">
        <label for="deskripsi">Deskripsi Kalender Pendidikan</label>
        {{form.description}}
    </div>
    <div class="row form-group">
        <div class="col-md-6">
            <label for="foto">Foto Kalender Pendidikan</label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto" accept="image/*"
                {% if form_foto.foto.field.required and not edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <input type="hidden" id="if_foto" name="if_foto" value="False">
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 50%; max-height: 100%;"></div>
                <img id="old-image" style="max-width: 50%; max-height: 100%;" src="{{ kalender.foto.url }}">           
            </div>
        </div>
        <div class="col-md-6">
            <label for="dokumen">Upload Dokumen Kalender Pendidikan</label>
            <input type="file" class="form-control" name="dokumen" id="dokumen" accept="application/pdf">
            <small id="passwordHelp" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            <div class="kotak-pdf justify-content-center mt-3">
                <canvas id="pdfViewer" style="width:100%;" alt="{{ kalender.dokumen.url }}">
            </div>
            <input type="hidden" id="if_katalog" name="if_katalog" value="False">
        </div>
    </div> 
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>